Bug 997638 - Using the add-handler operation on an async-handler doesn't write the handler property to the logging.properties file
Using the add-handler operation on an async-handler doesn't write the handler...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: EAP 6.2.0
Assigned To: James Perkins
Nikoleta Ziakova
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 16:38 EDT by Kyle Lape
Modified: 2013-12-15 11:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:22:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1713 Major Resolved Using the add-handler operation on an async-handler doesn't write the handler property to the logging.properties file 2016-06-08 04:45 EDT

  None (edit)
Description Kyle Lape 2013-08-15 16:38:19 EDT
Executing an add-handler operation does not write the handler.$NAME.handlers property to the logging.properties file.

Steps to reproduce:
Execute: /subsystem=logging/async-handler=rh_async:add(queue-length=1000)
Then: /subsystem=logging/async-handler=rh_async:add-handler(name=CONSOLE)
Check the logging.properties file and the handler.rh_async.handlers=CONSOLE property is not present.
Comment 1 JBoss JIRA Server 2013-09-20 17:36:22 EDT
James Perkins <jperkins@redhat.com> updated the status of jira WFLY-1713 to Resolved
Comment 2 JBoss JIRA Server 2013-09-20 17:36:22 EDT
James Perkins <jperkins@redhat.com> made a comment on jira WFLY-1713

I'm guessing this was fixed with the logmanager component upgrade. I can no longer duplicate the issue. Handlers now seem to be added correctly.
Comment 3 James Perkins 2013-09-20 17:42:39 EDT
This was fixed as part of the logmanager upgrade, https://bugzilla.redhat.com/show_bug.cgi?id=994700. The actual commit in the logmanager was https://github.com/jboss-logging/jboss-logmanager/commit/652500d04769983debd6d583fc600ba34cf58006.
Comment 4 JBoss JIRA Server 2013-09-20 17:43:23 EDT
James Perkins <jperkins@redhat.com> made a comment on jira WFLY-1713

I'm guessing this was fixed with the logmanager component upgrade. I can no longer duplicate the issue. Handlers now seem to be added correctly. The logmanager commit that fixed this was https://github.com/jboss-logging/jboss-logmanager/commit/652500d04769983debd6d583fc600ba34cf58006
Comment 5 Petr Kremensky 2013-09-23 02:50:55 EDT
Verified on 6.2.0.ER1

Note You need to log in before you can comment on or make changes to this bug.